Page MenuHomePhabricator

implement renewed *.tools.wmflabs.org cert/key pair
Closed, ResolvedPublic

Description

The certificate for *.tools.wmflabs.org expires on 2018-04-24.

The new key file is named new.star.tools.wmflabs.org.key, and will need to replace star.toosl.wmflabs.org.key on the puppetmaster when the new cert is merged live.

Details

Related Gerrit Patches:
operations/puppet : productionnew cert for *.tools.wmflabs.org

Related Objects

StatusSubtypeAssignedTask
Resolvedaborrero

Event Timeline

RobH triaged this task as Medium priority.Mar 20 2018, 4:40 PM
RobH created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2018, 4:40 PM

Change 420762 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] new cert for *.tools.wmflabs.org

https://gerrit.wikimedia.org/r/420762

RobH reassigned this task from RobH to chasemp.Mar 20 2018, 4:41 PM
RobH mentioned this in Unknown Object (Task).
chasemp reassigned this task from chasemp to aborrero.Mar 20 2018, 5:26 PM
chasemp added subscribers: aborrero, madhuvishy.

@madhuvishy graciously said she would walk @aborrero through the process from last year. Not sure if documented anywhere?

Change 420762 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] new cert for *.tools.wmflabs.org

https://gerrit.wikimedia.org/r/420762

aborrero closed this task as Resolved.Mar 21 2018, 5:18 PM
bd808 moved this task from Inbox to Done on the cloud-services-team (Kanban) board.May 6 2018, 6:47 PM